summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-analyzer/sguil-sensor/files/sensor_agent.initd')
-rw-r--r--net-analyzer/sguil-sensor/files/sensor_agent.initd30
1 files changed, 30 insertions, 0 deletions
diff --git a/net-analyzer/sguil-sensor/files/sensor_agent.initd b/net-analyzer/sguil-sensor/files/sensor_agent.initd
new file mode 100644
index 000000000000..b96c7ad0ba4b
--- /dev/null
+++ b/net-analyzer/sguil-sensor/files/sensor_agent.initd
@@ -0,0 +1,30 @@
+#!/sbin/runscript
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+depend() {
+ need net
+}
+
+checkconfig() {
+ if [ ! -e /etc/sguil/sensor_agent.conf ] ; then
+ eerror "You need an /etc/snort/sensor_agent.conf to run the Sensor Agent"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting Sensor Agent"
+ start-stop-daemon --start -c sguil --quiet --exec /usr/bin/sensor_agent.tcl \
+ -- -D -c "/etc/sguil/sensor_agent.conf">/dev/null 2>&1
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Sensor Agent"
+ start-stop-daemon --stop --quiet --pidfile /run/sguil-sensor.pid
+ eend $?
+}
+